## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 22
# * tests require internet access
%bcond_with check
%global debug_package %{nil}

%global crate ws

Name:           rust-ws
Version:        0.9.2
Release:        %autorelease
Summary:        Lightweight, event-driven WebSockets for Rust

License:        MIT
URL:            https://crates.io/crates/ws
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump sha-1 from 0.8 to 0.9:
#   https://github.com/housleyjk/ws-rs/pull/331
Patch:          ws-fix-metadata.diff
Patch:          0001-chore-Update-sha-1-to-0.9.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Lightweight, event-driven WebSockets for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libc-devel %{_description}

This package contains library source intended for building other packages which
use the "libc" feature of the "%{crate}" crate.

%files       -n %{name}+libc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libz-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libz-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "libz-sys" feature of the "%{crate}" crate.

%files       -n %{name}+libz-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+native-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+native-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "native-tls" feature of the "%{crate}" crate.

%files       -n %{name}+native-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nativetls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nativetls-devel %{_description}

This package contains library source intended for building other packages which
use the "nativetls" feature of the "%{crate}" crate.

%files       -n %{name}+nativetls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "openssl" feature of the "%{crate}" crate.

%files       -n %{name}+openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+permessage-deflate-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+permessage-deflate-devel %{_description}

This package contains library source intended for building other packages which
use the "permessage-deflate" feature of the "%{crate}" crate.

%files       -n %{name}+permessage-deflate-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ssl-devel %{_description}

This package contains library source intended for building other packages which
use the "ssl" feature of the "%{crate}" crate.

%files       -n %{name}+ssl-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Aug 10 2022 Fabio Valentini <decathorpe@gmail.com> 0.9.2-1
- Update to version 0.9.2; Fixes RHBZ#2054800

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Dec 25 10:23:31 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.9.1-5
- Fix FTBFS/FTI

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Dec 12 11:27:24 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 20:03:36 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.1-2
- Regenerate

* Thu May 30 19:22:01 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.1-1
- Initial package

